GDCM: gdcm::network::ULConnectionInfo Class Reference

GDCM 3.2.5

Public Member Functions | List of all members
gdcm::network::ULConnectionInfo Class Reference

ULConnectionInfo. More...

`#include <gdcmULConnectionInfo.h>`

## Public Member Functions
| ULConnectionInfo ()
const char * | GetCalledAETitle () const
std::string | GetCalledComputerName () const
unsigned long | GetCalledIPAddress () const
int | GetCalledIPPort () const
const char * | GetCallingAETitle () const
unsigned long | GetMaxPDULength () const
bool | Initialize (UserInformation const &inUserInformation, const char *inCalledAETitle, const char *inCallingAETitle, unsigned long inCalledIPAddress, int inCalledIPPort, std::string inCalledComputerName)
void | SetMaxPDULength (unsigned long inMaxPDULength)

## Detailed Description

ULConnectionInfo.

this class contains all the information about a particular connection as established by the user. That is, it's: User Information Calling AE Title Called AE Title IP address/computer name IP Port A connection must be established with this information, that's subsequently placed into various primitives for actual communication.

## Constructor & Destructor Documentation

## ◆ ULConnectionInfo()

gdcm::network::ULConnectionInfo::ULConnectionInfo | ( |  | ) |

## Member Function Documentation

## ◆ GetCalledAETitle()

const char * gdcm::network::ULConnectionInfo::GetCalledAETitle | ( |  | ) | const

## ◆ GetCalledComputerName()

std::string gdcm::network::ULConnectionInfo::GetCalledComputerName | ( |  | ) | const

## ◆ GetCalledIPAddress()

unsigned long gdcm::network::ULConnectionInfo::GetCalledIPAddress | ( |  | ) | const

## ◆ GetCalledIPPort()

int gdcm::network::ULConnectionInfo::GetCalledIPPort | ( |  | ) | const

## ◆ GetCallingAETitle()

const char * gdcm::network::ULConnectionInfo::GetCallingAETitle | ( |  | ) | const

## ◆ GetMaxPDULength()

unsigned long gdcm::network::ULConnectionInfo::GetMaxPDULength | ( |  | ) | const

## ◆ Initialize()

bool gdcm::network::ULConnectionInfo::Initialize | ( | UserInformation const & | inUserInformation,
|  | const char * | inCalledAETitle,
|  | const char * | inCallingAETitle,
|  | unsigned long | inCalledIPAddress,
|  | int | inCalledIPPort,
|  | std::string | inCalledComputerName )

## ◆ SetMaxPDULength()

void gdcm::network::ULConnectionInfo::SetMaxPDULength | ( | unsigned long | inMaxPDULength | ) |

The documentation for this class was generated from the following file:

- gdcmULConnectionInfo.h